Subject: perl-mode and cperl-mode: $\" in a double-quoted string

From: Harald Jörg <[email-masked]>
Date: Fri, 08 Mar 2024 07:25:45 +0000

Good catch!  The same symptoms can be seen in cperl-mode.

Both perl-mode and cperl-mode treat "$" as quoting character in their
syntax tables.  This is needed for Perl's punctuation variables like $(
and $" which would otherwise be interpreted as unbalanced parens or
quotes.

In a string, this safety belt is not required, and it actually misfires
in the case of "$\"", which is part of the demo code.

This is now treated correctly in the Emacs master branch for both
perl-mode and cperl-mode.